Skip to main content
GET
https://aigenstudio.app/api/v1
/
product-photo-jobs
List Product Photo jobs
curl --request GET \
  --url https://aigenstudio.app/api/v1/product-photo-jobs \
  --header 'Authorization: Bearer <token>'
{
  "jobs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "total_items": 2,
      "credits_reserved": 1,
      "sandbox": true
    }
  ],
  "request_id": "<string>",
  "next_cursor": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client correlation id. AI Gen Studio also returns request_id.

Maximum string length: 160

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string<date-time>

Cursor returned as next_cursor from the previous page.

status
enum<string>
Available options:
queued,
processing,
completed,
partially_completed,
failed,
cancelled

Response

Product Photo jobs returned.

jobs
object[]
required
request_id
string
required
next_cursor
string<date-time> | null